# Create a New Asset Collection

Create an asset and optionally associate it with a creative. Either an advertiser_id or creative_ids must be provided. All creatives in creative_ids must belong to the same advertiser.

The ID of the created asset will be in the response.

Request text asset (application/json)

Attributes (NewTextAsset)

Headers

Cookie: adama_session={adama_session}

The body shown below is for a text asset.

An image asset body might be in the form of:
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="component_id"

2
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="asset_value"; filename=""
Content-Type:


------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="creative_ids"

[3200795]
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="advertiser_id"

100178
------WebKitFormBoundary7MA4YWxkTrZu0gW--

Endpoint: POST /component_creatives/v1.0/assets
Version: 1.0

## Header parameters:

  - `adama_session` (string)
    adama_session


## Response 201 fields
